///
/// @file	     Sizes.h
/// @copyright   Copyright (c) 2012 Toradex AG
/// @author	     $Author: gap $
/// @version     $Rev: 1138 $ 
/// @date        $Date: 2012-10-31 13:29:08 +0100 (Wed, 31 Oct 2012) $
/// @brief	     Defines memory sizes
/// 
/// @target      PXAxxx, T20
/// 

#ifndef __SIZES_H__
#define __SIZES_H__

#ifdef __cplusplus
extern "C" {
#endif

#define SIZE_1KB	(1*1024)
#define SIZE_2KB	(2*1024)
#define SIZE_4KB	(4*1024)
#define SIZE_8KB	(8*1024)
#define SIZE_16KB	(16*1024)
#define SIZE_32KB	(32*1024)
#define SIZE_64KB	(64*1024)
#define SIZE_128KB	(128*1024)
#define SIZE_256KB	(256*1024)
#define SIZE_512KB	(512*1024)
#define SIZE_1MB	(1*1024*1024)
#define SIZE_2MB	(2*1024*1024)
#define SIZE_4MB	(4*1024*1024)
#define SIZE_8MB	(8*1024*1024)
#define SIZE_16MB	(16*1024*1024)
#define SIZE_32MB	(32*1024*1024)
#define SIZE_64MB	(64*1024*1024)
#define SIZE_128MB	(128*1024*1024)
#define SIZE_256MB	(256*1024*1024)
#define SIZE_512MB	(512*1024*1024)
#define SIZE_1GB	(1*1024*1024*1024)
#define SIZE_2GB	(2*1024*1024*1024)

#ifdef __cplusplus
}
#endif

#endif